> ## Documentation Index
> Fetch the complete documentation index at: https://docs-sms.mifumolabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile Settings

Update user profile information.

<ParamField body="first_name" type="string">
  User's first name
</ParamField>

<ParamField body="last_name" type="string">
  User's last name
</ParamField>

<ParamField body="phone_number" type="string">
  User's phone number
</ParamField>

## Request Example

<RequestExample>
  ```json theme={null}
  {
    "first_name": "John",
    "last_name": "Doe",
    "phone_number": "+255614853618"
  }
  ```
</RequestExample>

## Success Response (200)

<ResponseField name="message" type="string">
  Success message
</ResponseField>

<ResponseField name="user" type="object">
  Updated user object
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "message": "Profile updated successfully",
    "user": {
      "id": 1,
      "first_name": "John",
      "last_name": "Doe",
      "phone_number": "+255614853618"
    }
  }
  ```
</ResponseExample>
